<?php get_header(); ?>

	<div id="page">

		<div id="contentleft">

		<div id="content">

<?php if (have_posts()) : ?>
<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

<?php /* If this is a category archive */ if (is_category()) { ?>				
<h2 class="sectionhead">Category: <?php echo single_cat_title(); ?></h2>
		
<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="sectionhead">Archive for <?php the_time('F jS, Y'); ?></h2>
		
<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="sectionhead">Archive for <?php the_time('F, Y'); ?></h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="sectionhead">Archive for <?php the_time('Y'); ?></h2>
		
<?php /* If this is a search */ } elseif (is_search()) { ?>
<h2 class="sectionhead">Search Results</h2>
		
<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2 class="sectionhead">Author Archive</h2>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="sectionhead">Blog Archives</h2>

<?php } ?>

<?php while (have_posts()) : the_post(); ?>
			
				<div class="post" id="post-<?php the_ID(); ?>">

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?> &raquo;</a></h2>

					<p class="postinfo">By <?php the_author_posts_link(); ?> on <?php the_time('M j, Y') ?> in <?php the_category(', ') ?> | <?php comments_popup_link('0 Comments', '1 Comment', '% Comments'); ?><?php edit_post_link('Edit', ' | ', ''); ?></p>
			
					<div class="entry">
						<?php the_excerpt(); ?>
					</div>
				</div>   

<?php endwhile; endif; ?>

				<div class="navigation">
					<div class="alignleft">
						<?php posts_nav_link('','','&laquo; Previous Entries') ?>
					</div>
					<div class="alignright">
						<?php posts_nav_link('','Next Entries &raquo;','') ?>
					</div>
					<div style="clear:both;"></div>
				</div>

                </div>

<?php include (TEMPLATEPATH . "/sidebar1.php"); ?>	

		</div>

<?php get_sidebar(); ?>

	</div>

<?php get_footer(); ?>